SimplePropertyConfiguration.NamedValueMap (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.assembly.configuration.SimplePropertyConfiguration.NamedValueMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.assembly.configuration
Class SimplePropertyConfiguration.NamedValueMap

    java.lang.Object
      org.mule.config.spring.parsers.assembly.configuration.SimplePropertyConfiguration.NamedValueMap

Enclosing class:
  SimplePropertyConfiguration

    public static class SimplePropertyConfiguration.NamedValueMap

extends Object

Constructor Summary
`SimplePropertyConfiguration.NamedValueMap(String propertyName, Map valueMap)`
`SimplePropertyConfiguration.NamedValueMap(String propertyName, String mappingsString)`
`SimplePropertyConfiguration.NamedValueMap(String propertyName, ValueMap valueMap)`

Method Summary
`String` | `getPropertyName()`
`Object` | `getValue(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePropertyConfiguration.NamedValueMap

    public SimplePropertyConfiguration.NamedValueMap(String propertyName,
                                                     String mappingsString)

### SimplePropertyConfiguration.NamedValueMap

    public SimplePropertyConfiguration.NamedValueMap(String propertyName,
                                                     Map valueMap)

### SimplePropertyConfiguration.NamedValueMap

    public SimplePropertyConfiguration.NamedValueMap(String propertyName,
                                                     ValueMap valueMap)

Method Detail

### getPropertyName

    public String getPropertyName()

### getValue

    public Object getValue(String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.